org.jboss.netty.handler.timeout

## Class DefaultIdleStateEvent

- java.lang.Object
- - org.jboss.netty.handler.timeout.DefaultIdleStateEvent

All Implemented Interfaces:
  ChannelEvent, IdleStateEvent

    public class DefaultIdleStateEvent
    extends Object
    implements IdleStateEvent

The default `IdleStateEvent` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultIdleStateEvent(Channel channel, IdleState state, long lastActivityTimeMillis)` Creates a new instance.

### Method Summary

Methods
`Channel` `getChannel()` Returns the `Channel` which is associated with this event.
`ChannelFuture` `getFuture()` Returns the `ChannelFuture` which is associated with this event.
`long` `getLastActivityTimeMillis()` Returns the last time when I/O occurred in milliseconds.
`IdleState` `getState()` Returns the detailed idle state.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultIdleStateEvent

    public DefaultIdleStateEvent(Channel channel,
                         IdleState state,
                         long lastActivityTimeMillis)

Creates a new instance.

### Method Detail

#### getChannel

    public Channel getChannel()

Description copied from interface: `ChannelEvent`
Returns the `Channel` which is associated with this event.

Specified by:
  `getChannel` in interface `ChannelEvent`

#### getFuture

    public ChannelFuture getFuture()

Description copied from interface: `ChannelEvent`
Returns the `ChannelFuture` which is associated with this event. If this event is an upstream event, this method will always return a `SucceededChannelFuture` because the event has occurred already. If this event is a downstream event (i.e. I/O request), the returned future will be notified when the I/O request succeeds or fails.

Specified by:
  `getFuture` in interface `ChannelEvent`

#### getState

    public IdleState getState()

Description copied from interface: `IdleStateEvent`
Returns the detailed idle state.

Specified by:
  `getState` in interface `IdleStateEvent`

#### getLastActivityTimeMillis

    public long getLastActivityTimeMillis()

Description copied from interface: `IdleStateEvent`
Returns the last time when I/O occurred in milliseconds.

Specified by:
  `getLastActivityTimeMillis` in interface `IdleStateEvent`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`